plugin: amazon.aws.aws_ec2
regions:
  - us-east-1
filters:
  tag:Environment: production
  instance-state-name: running
hostnames:
  - tag:Name
  - private-ip-address
keyed_groups:
  - prefix: role
    key: tags.Role
  - prefix: env
    key: tags.Environment
compose:
  ansible_host: private_ip_address
  ec2_instance_id: instance_id
